# User Actions

Users can interact with the protocol using the completing the following action:

* **`delegate`**: Stake EGLD and receive xEGLD instantly.
* **`unDelegate`**: Redeem xEGLD for EGLD through instant conversion or enter the unbonding period.
* **`withdraw`**: Finalize unbonded EGLD withdrawal after the unbonding period.

#### Provider Actions

Providers benefit from the following key actions:

* **`delegatePending`**: Delegates accumulated EGLD to selected providers daily.
* **`unDelegatePending`**: Un-delegates EGLD from providers to balance liquidity needs.
* **`withdrawPending`**: Withdraws EGLD from specific contracts to fulfill instant unstaking requests.
* **`claimRewards`**: Claims rewards on behalf of users from the underlying staking providers.

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xoxno.com/xoxno-ecosystem/egld-liquid-staking/user-actions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
